Bug 39288 - Install exits abnormally with - Traceback (innermost last): KeyError: MAKEDEV
Summary: Install exits abnormally with - Traceback (innermost last): KeyError: MAKEDEV
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-06 21:42 UTC by Need Real Name
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-07 20:31:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda traceback (1.34 KB, text/plain)
2001-05-06 21:43 UTC, Need Real Name
no flags Details

Description Need Real Name 2001-05-06 21:42:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; COM+ 1.0.2204)

Description of problem:
Trying to install RH 7.0 graphical install receives signal 11 after 
testing for X and then reboots. In text mode similar. Using upgrade I get 
the following.

How reproducible:
Always

Steps to Reproduce:
1. Chose 'text' install
2. Chose upgrade existing
	

Actual Results:  -| Exception Occurred |-

An internal error occurred in the installation program

Expected Results:  I expected installation to continue

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1028, in 
run
    rc = apply (step[1](), (dir,) + step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 279, in 
__call__
    todo.upgradeFindPackages (root)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 941, in 
upgradeFindPackages
    self.getCompsList ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 16, in 
readComps
    return ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
    self.readCompsFile(file, self.packages, arch, matchAllLang)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
    comp.addPackage(packages[l])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
    return self.packages[item]
KeyError: MAKEDEV

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 8216110>
item: MAKEDEV

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Comment 1 Need Real Name 2001-05-06 21:43:39 UTC
Created attachment 17526 [details]
Anaconda traceback

Comment 2 Brent Fox 2001-05-07 15:57:44 UTC
I think you have a bad cd.  Did you download it or did you buy it?  The
installer is looking for packages that don't seem to be on the cd.

Comment 3 Need Real Name 2001-05-07 19:07:33 UTC
I think you are right - I bought the CD's on a magazine and tried the same 
installation on my 'old' PC with the same results.

I'll take the mag and Cd's back and get a replacement.

Thanks Noel.


Note You need to log in before you can comment on or make changes to this bug.